# Changelog  
  
| modName    | Docking Port Descriptions (DPD)                                      |
| ---------- | -------------------------------------------------------------------- |
| license    | CC-BY-SA-4.0                                                         |
| author     | zer0Kerbal                                                           |
| forum      | (https://forum.kerbalspaceprogram.com/index.php?/topic/192184-*/)    |
| github     | (https://github.com/zer0Kerbal/zer0Kerbal/DockingPortDescriptions)   |
| curseforge | (https://www.curseforge.com/kerbal/ksp-mods/DockingPortDescriptions) |
| spacedock  | (https://spacedock.info/mod/2246)                                    |
| ckan       | DockingPortDescriptions                                              |

## Version 1.1.0.0-release - `<EDITION>` edition

* 09 Jul 2022
* Released for KSP 1.12.3

### Changes

### NEW

* [DockingPortDescriptions.cfg]
  * ADD
    * title abbreviations
    * color coded
    * § = shielded
    * wanted to use ♀♂, but characters didn't show
* closes #7 - [Request 🚀]: add a shorthand notation to the part title? (like (s0/s1/s2/sK/SP)M:F:S)

### UPDATED

* [DockingPortDescriptions.cfg]
  * replaced :NEEDS:[FlexoDocking] with :NEEDS[FlexoTubes]
  * now accounts for parts with multiple [nodeTypes]
  * now should handle ANY part using [ModuleDockingNode]
* 24 patches reduced to 6

### Localization

* Create
  * Localization/
    * <en-us.cfg> v1.0.0.0
    * [readme.md] v2.1.2.0
    * [quickstart.md] v1.0.1.1
* scraped/mined from Squad's dictionary
  * #autoLOC_6001828 = Shielded
  * #autoLOC_900434 = Male
  * #autoLOC_900444 = Female
* Updates #19 - Localization Master
* Closes #20 - Localization - English <en-us.cfg>

### Status

* Issues
  * closes #14 - Docking Port Descriptions 1.1.0.0-release `<EDITION>`
  * closes #15 - 1.1.0.0 Verify Legal Mumbo Jumbo
  * closes #16 - 1.1.0.0 Update Documentation
  * closes #17 - 1.1.0.0 Update Social Media

---

## Version 1.0.2.0-release  `<Twelfth Night>`  edition

* 11 Jul 2022
* Released for Kerbal Space Program 1.12.3

### UPDATED

* [DockingPortDescriptions.version]
  * Sections Removed:
    * "KSP_VERSION_MIN"
    * "KSP_VERSION_MAX":
* [DockingPortDescriptions.cfg]
  * replaced :NEEDS:[FlexoDocking] with :NEEDS[FlexoTubes]
* minor corrections to
  * .version
  * changelog
* Folder rename
  * Patches -> Compatibility
* closes #2 - [Request 🚀]: add Kip Engineering
* closes #3 - update

### docs/

* Add
  * [Attribution.md] v1.0.6.0
  * [ManualInstallation.md] v1.1.7.0
  * [404.md] v1.0.3.1
  * [LegalMumboJumbo.md] v1.0.5.0
  * [Localizations.md] v1.1.3.1
  * [Marketing.md] v1.0.0.0
  * [Notices.md] v1.0.0.0
  * [Why.md] v1.1.0.0
  * [_config.yml]
* closes #37 - docs/

### GitHub

* Previous Releases
  * closes #8 - Previous Versions Archive Upload
  * closes #10 - 1.0.0.1-release - `<Can See Clearly>` edition
  * closes #11 - 1.0.0.2-release - `<Near Future Construction>` edition
  * closes #12 - 1.0.1.0-release - `<Extreme Bibliotheke Flexibility!>` edition
  * closes #13 - 1.0.1.1-release - `<Extreme Bibliotheke Flexibility! (reread)>` edition

### Status

* Issues  
  * closes #38 - Docking Port Descriptions 1.0.2.0-release `<Twelfth Night>`
  * closes #39 - 1.0.2.0 Verify Legal Mumbo Jumbo
  * closes #40 - 1.0.2.0 Update Documentation
  * closes #41 - 1.0.2.0 Update Social Media

---

## Version 1.0.1.1-  `<Extreme Bibliotheke Flexibility! (reread)>`  edition

* 07 Mar 2020
* Released for Kerbal Space Program 1.8.1

* corrected % which should have been @
* minor corrections to
  * .version
  * changelog
  * thank you to @HebaruSan and @BenjaminCronin)

### Status

* Issues  
  * closes #13 - 1.0.1.1-release - `<Extreme Bibliotheke Flexibility! (reread)>` edition
  * closes #8 - Previous Versions Archive Upload
  * #1 - Update DockingPortDescriptions.cfg - contributed by 7ranceaddic7
  * #4 - pull in changes from upstream - contributed by zer0Kerbal

---

## Version 1.0.1.0- `<Extreme Bibliotheke Flexibility!>` edition

* 07 Mar 2020
* Released for Kerbal Space Program 1.8.1

* Added
  * Flexible Docking ports
  * kerbodynePlus 'Extreme' size
* Merged
  * two gender patches into one patch
* moved into its own permanent GitHub repo
* updated to automated build process
* folder structure and install location remain the same

### Status

* Issues
  * closes #12 - 1.0.1.0-release - `<Extreme Bibliotheke Flexibility!>` edition
  * updates #8 - Previous Versions Archive Upload

---

## Version 1.0.0.2- `< Near Future Construction>` edition

* 07 Oct 2019
* Released for Kerbal Space Program 1.7.3

* added :NEEDS to patches
* now supports from Near Future Construction:
  * size4
  * linear1
  * linear2
  * spinal
  * octo
* rounded up the herd of missing colons (:) and put them where they belong

### Status

* Issues
  * closes #11 - 1.0.0.2-release - `<Near Future Construction>` edition
  * updates #8 - Previous Versions Archive Upload

---

## Version 1.0.0.1- `<Can See Clearly>` edition

* 05 Oct 2019
* Released for Kerbal Space Program 1.7.3

* >>-- SpaceDock --<<
* >>-- CKAN --<<
* >>-- Curseforge --<<
* moved to KGEx/
* Gender working
* adjusted MM timing - needs one :FOR[] before :LAST[] will work, else crashes MM
  
### Status

* Issues
  * closes #10 - 1.0.0.1-release - `<Can See Clearly>` edition
  * updates #8 - Previous Versions Archive Upload

---

## Version 1.0.0.0- `<Bibliotheke!>` edition

* 05 Oct 2019
* Released for Kerbal Space Program 1.7.3

* >>-- creation by zer0Kerbal --<<

### Status

* Issues
  * closes #9 - 1.0.0.0-release - `<Bibliotheke!>` edition
  * updates #8 - Previous Versions Archive Upload

---
